- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyDuplicateNestedWorkflows#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyDuplicateNestedWorkflows#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyDuplicateNestedWorkflows#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyDuplicateNestedWorkflows#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyDuplicateNestedWorkflows#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyDuplicateNestedWorkflows#body.LegacyPlaybookDuplicateNestedWorkflowsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyDuplicateNestedWorkflows#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyDuplicateNestedWorkflows#body.aspect_1)

**Full name**: projects.locations.instances.legacyPlaybooks.legacyDuplicateNestedWorkflows

Creates duplicates of multiple blocks in a single operation.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyDuplicateNestedWorkflows`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to duplicate the nested workflows for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "identifiers": [ string ], "categoryId": integer, "environments": [ string ] } ``` |

| Fields ||
|---|---|
| `identifiers[]` | `string` Required. The identifiers of the workflows to duplicate. |
| `categoryId` | `integer` Optional. The category of the duplicated workflows. |
| `environments[]` | `string` Optional. The environments of the duplicated workflows. |

### Response body

LegacyPlaybookDuplicateNestedWorkflowsResponse is a response for duplicating nested workflows.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiWorkflowDefinitionDataModel`) } ] } ``` |

| Fields ||
|---|---|
| `payload[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiWorkflowDefinitionDataModel`)`` Optional. The duplicated nested workflows. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPlaybooks.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).